
const jwt = require('jsonwebtoken');

const JTW_SECRET = "3514f344f6880ebba356419459df0b96441c977d8910567c0941159dc26abbbb662174c9f42447d66faad799b1977c6e6d094fe0a915ae8bc503da1ddc069f7691b1035c867baec7a4152cbb0da36aa9b5becc10398602005e82293ac00d60ed2041a3e6aca3a24f37e699724ad03e8d962046e6424b9577858afebe8162ecd7";

class Auth {
    static async setJWTSession(req,userId,phone_number,role) {
        const token = await jwt.sign({ 
            isLoggedIn: true,
            userId: userId, 
            phone_number: phone_number,
            role: role
        }, JTW_SECRET, {
            expiresIn: '1800s',
        });
        req.session.token = token;
    }
    static async getSessionData(token) {
        return new Promise((resolve, reject) => {
            if(!token) return reject("Invalid Token");
            try {
              const decoded = jwt.verify(token, JTW_SECRET);
              resolve(decoded);
            }
            catch(error) {
              reject(error);
            }
        });   
    }
};

module.exports = Auth;