const SQLModel = require("./sql")
const db = require("../database");

class Queue extends SQLModel {
    constructor() {
        super("queues");
    }
    async countQueue(id,table_type) {
        const [result] = await db.mysql.query(`SELECT COUNT(*) as count FROM \`${this.tableName}\` WHERE id < ? AND table_type = ?`,[ id,table_type ]);
        if(!result || result.length == 0) return null;
        return result[0];
    }    
    async findOneJoinTableTypesByID(id) {
        let query = `SELECT tt.id AS type_id,tt.*,q.* FROM ${this.tableName} AS q JOIN table_types AS tt ON q.table_type = tt.id WHERE q.id = ?`;
    
        const [result] = await db.mysql.query(query,[id]);
        if (!result || result.length == 0) return null;
        return result[0];
    }
};

module.exports = Queue;